Paycose Docs
Balance
PUT/customers/{customer_id}/limits

Set Customer Limits

Set per-customer spending limits across all that customer's balances.

Request

Example

curl -X PUT 'https://api.paycose.com/api/v1/app1/platform/wallet/customers/{{customer_id}}/limits' \
  -H 'X-Session-Token: {{session_token}}' \
  -H 'X-Country: {{country}}' \
  -H 'Content-Type: application/json' \
  -H 'X-Test-Mode: {{x_test_mode}}' \
  -d '{
  "max_balance": "",
  "max_daily_debit": "",
  "max_daily_credit": "",
  "max_per_transaction": "",
  "reason": "<string>",
  "currency": "<string>"
}'

Headers

NameValueDescription
X-Session-Token{{session_token}}
X-Country{{country}}
Content-Typeapplication/json
X-Test-Mode{{x_test_mode}}true=wallet_test, false=wallet_live (default).

Body

NameTypeValue
max_balancestring
max_daily_debitstring
max_daily_creditstring
max_per_transactionstring
reasonstring<string>
currencystring<string>
{
  "max_balance": "",
  "max_daily_debit": "",
  "max_daily_credit": "",
  "max_per_transaction": "",
  "reason": "<string>",
  "currency": "<string>"
}

Responses

400400 Bad Request

Headers

NameValue
Content-Typeapplication/json

Body

{
  "object": "error",
  "code": "<string>",
  "key": "<string>",
  "i18n_key": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

On this page